Commit 7adb6b7d authored by Ximin Luo's avatar Ximin Luo

tests/basic-command-line: check exit code and use a more complex example

parent f68fcbda
......@@ -28,8 +28,19 @@ if [ $? -ne 1 ]; then
exit 1
fi
echo "Testing LC_ALL=C works"
echo "Testing LC_ALL=C works..."
LC_ALL=C diffoscope --debug $ADTTMP/a $ADTTMP/a_ 2>/dev/null
if [ $? -ne 0 ]; then
echo "diffoscope could not handle LC_ALL=C; make sure you're not unconditionally outputting non-ascii chars anywhere." >&2
exit 1
fi
echo "Testing LC_ALL=C works (--help)..."
LC_ALL=C diffoscope --help >/dev/null
if [ $? -ne 0 ]; then
echo "diffoscope could not handle LC_ALL=C; make sure you're not unconditionally outputting non-ascii chars anywhere." >&2
exit 1
fi
echo "Testing invalid command line flag..."
diffoscope --thisflagdoesntexistandwontexist
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment